<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Database</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>  

  <ion-item>
    <ion-label color="medium">
      <h2>Storage</h2>
    </ion-label>
    <p slot="end">Internal Storage</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Folder</h2>
    </ion-label>
    <p slot="end">saleskeep</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>File name</h2>
    </ion-label>
    <p slot="end">data.db</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Last Backup Date</h2>
    </ion-label>
    <p slot="end" *ngIf="dbBackupDate">{{dbBackupDate | date:'MMM dd, yyyy HH:mm'}}</p>
    <p slot="end" *ngIf="!dbBackupDate">No backup yet</p>
  </ion-item>

  <div class="ion-padding">
      <ion-button expand="block" shape="round" (click)="backup()" size="large">Backup</ion-button>
      <ion-button expand="block" shape="round" (click)="restore()" size="large">restore</ion-button>
  </div>
</ion-content>
